#include <bits/stdc++.h>
using namespace std;
bool s(long a)
{
    long tg=0;
    long kq=0;
    for(long i=1;i<=100000;i=kq){
        if(i>a){
            return false;
            break;
        }
        else
        if(i==a){
            return true;
            break;
        }
        kq=tg+i;
        tg=i;
    }
}
int main()
{
    ifstream f1("DEMFB.inp");
    ofstream f2("DEMFB.out");
    long dem=0;
    long n;
    long d[10000];
    f1>>n;
    for(long i=0;i<n;i++){
        f1>>d[i];
        if(s(d[i])==true){
            dem++;
        }
    }
    f2<<dem;
    f1.close();
    f2.close();
    return 0;
}
